%define dracutmodulesdir %{_prefix}/lib/dracut/modules.d


Name:          dracut-automotive
Version:       0.1.1
Release:       1%{?dist}
Summary:       A random collection of dracut scripts for automotive
License:       GPL-2.0-only
URL:           https://gitlab.com/CentOS/automotive/src/dracut-automotive
Source0:       dracut-automotive-%{version}.tar.gz

BuildRequires: make
BuildRequires: systemd
Requires: dracut
Requires: systemd

%description
%{summary}.

%prep
%autosetup

%install
%make_install 

%files
%{dracutmodulesdir}/01systemd-initrd-automotive
%{_unitdir}/mount-sysroot.service

%changelog
* Mon Jun 30 2025 Ian Mullins <imullins@redhat.com> - 0.1.1-1
- Make the repo a dist-git repo only
* Mon Feb 3 2025 Enric Balletbo i Serra <eballetb@redhat.com> - 0.1-7
- Set action reboot on failure
* Wed Jun 19 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-6
- Decrease restart interval from 2ms to 1ms
- Use kmsg+console
* Tue Jun 18 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-5
- Decrease restart interval from 20ms to 2ms
- Use kmsg
* Mon Jun 17 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-4
- Increase restart interval from 10ms to 20ms
* Mon Jun 17 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-3
- Increase restart interval from 1ms to 10ms
* Thu May 23 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-2
- Add more Before= things for image mode
* Wed May 22 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-1
- Initial version
